wireshark (1.8.5-0kali2) kali; urgency=low

  * Ubertooth patches to Wireshark

 -- Mati Aharoni <muts@kali.org>  Sat, 16 Mar 2013 23:20:44 -0400

wireshark (1.8.5-0kali1) kali; urgency=low

  * New upstream release.
  * Drop patches 17_fix_from_1.8.3_* which were cherry-picked from 1.8.3
    and are no longer needed.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 08 Feb 2013 18:00:36 +0100

wireshark (1.8.2-2kali2) kali; urgency=low

  * Fixed the lua script error on launch

 -- Devon Kearns <dookie@kali.org>  Wed, 23 Jan 2013 06:20:13 -0700

wireshark (1.8.2-2kali1) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Mon, 17 Dec 2012 10:55:28 -0500

wireshark (1.8.2-2kali0) kali; urgency=low

  * Kali import

 -- Mati Aharoni <muts@kali.org>  Wed, 05 Dec 2012 08:13:16 -0500

wireshark (1.8.2-2) unstable; urgency=high

  * security fixes from Wireshark 1.8.3 (Closes: #689972):
    - The HSRP dissector could go into an infinite loop (CVE-2012-5237)
    - The PPP dissector could abort (CVE-2012-5238)
    - Martin Wilck discovered an infinite loop in the DRDA dissector
      (CVE-2012-5239)
    - Laurent Butti discovered a buffer overflow in the LDP dissector
      (CVE-2012-5240)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 09 Oct 2012 11:39:42 +0200

wireshark (1.8.2-1) unstable; urgency=high

  * New upstream release 1.8.2 (skipping 1.8.1 in Debian)
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.8.2.html
    - security fixes:
      - The PPP dissector could crash (Closes: #680056)(CVE-2012-4048)
      - The NFS dissector could use excessive amounts of CPU (CVE-2012-4049)
      - The DCP ETSI dissector could trigger a zero division. Reported by
         Laurent Butti. (CVE-2012-4285)
      - The MongoDB dissector could go into a large loop. Reported by
	 Ben Schmidt. (CVE-2012-4287)
      - The XTP dissector could go into an infinite loop. Reported by
	 Ben Schmidt. (CVE-2012-4288)
      - The ERF dissector could overflow a buffer. Reported by
	 Laurent Butti. (CVE-2012-4294 CVE-2012-4295)
      - The AFP dissector could go into a large loop. Reported by
	 Stefan Cornelius. (CVE-2012-4289)
      - The RTPS2 dissector could overflow a buffer. Reported by
	 Laurent Butti. (CVE-2012-4296)
      - The GSM RLC MAC dissector could overflow a buffer. Reported by
	 Laurent Butti. (CVE-2012-4297)
      - The CIP dissector could exhaust system memory. Reported by
	 Ben Schmidt. (CVE-2012-4291)
      - The STUN dissector could crash. Reported by Laurent Butti.
	 (CVE-2012-4292)
      - The EtherCAT Mailbox dissector could abort. Reported by
	 Laurent Butti. (CVE-2012-4293)
      - The CTDB dissector could go into a large loop. Reported by
	 Ben Schmidt. (CVE-2012-4290)
      - The pcap-ng file parser could trigger a zero division (CVE-2012-4286)
      - The Ixia IxVeriWave file parser could overflow a buffer
	 (CVE-2012-4298)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 19 Aug 2012 14:30:56 +0200

wireshark (1.8.0-1) unstable; urgency=low

  * New upstream release 1.8.0 (Closes: #678585)
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.8.0.html
  * fix lintian pedantic mode warnings
    - use set -e in maintainer scripts
    - refer to GPLv2 via symlink
    - fix spacing in debian/control
    - depend on debhelper (>= 9)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 22 Jun 2012 19:25:19 +0200

wireshark (1.8.0~rc1-1) unstable; urgency=low

  * New upstream release 1.8.0 release candidate 1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.8.0.html
    - drop 07_use-theme-icon.patch as it has been integrated upstream
    - bump library versions to 2.0.0 and rename library packages to
      libwsutil2, libwiretap2 and libwireshark2

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Jun 2012 01:04:16 +0200

wireshark (1.6.8-1) unstable; urgency=medium

  * New upstream release 1.6.8
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.8.html
    - security fixes:
      - Infinite and large loops in the ANSI MAP, ASF, BACapp, Bluetooth
        HCI, IEEE 802.11, IEEE 802.3, LTP, and R3 dissectors have been
        fixed (No assigned CVE number)
      - The DIAMETER dissector could try to allocate memory improperly
        and crash (No assigned CVE number)
      - Wireshark could crash on SPARC processors due to misaligned
        memory. Discovered by Klaus Heckelmann (No assigned CVE number)
    - NEWS file is empty, stop shipping it in Debian package
  * update standards-version to 3.9.3
  * use dpkg-buildflags for hardening
  * depend on dpkg-dev (>= 1.16.1~) for dpkg-buildflags
  * bump debhelper compatibility level to v9

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 22 May 2012 23:50:21 +0200

wireshark (1.6.7-1) unstable; urgency=low

  * New upstream release 1.6.7
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.7.html

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 11 Apr 2012 15:41:17 +0200

wireshark (1.6.6-1) unstable; urgency=high

  * New upstream release 1.6.6
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.6.html
    - security fixes (Closes: #666058):
      - The ANSI A dissector could dereference a NULL pointer and crash
      - The IEEE 802.11 dissector could go into an infinite loop
      - The pcap and pcap-ng file parsers could crash trying to read ERF data
      - The MP2T dissector could try to allocate too much memory and crash
  * depend on automake instead of automake1.9
  * update watch file to watch bzip2 compressed archives

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Mar 2012 12:34:10 +0200

wireshark (1.6.5-2) unstable; urgency=low

  * clarify when set-user-id bit is set for dumpcap in README.Debian
    (Closes: #649350)
  * add notes about capturing USB frames to README.Debian
  * package and use SVG icon for Wireshark (Closes: #661759)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 15 Jan 2012 11:16:10 -0800

wireshark (1.6.5-1) unstable; urgency=high

  * New upstream release 1.6.5
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.5.html
    - security fixes:
      - Laurent Butti discovered that Wireshark failed to properly check
        record sizes for many packet capture file formats.
        (No assigned CVE number.)
      - Wireshark could dereference a NULL pointer and crash.
        (No assigned CVE number.)
      - The RLC dissector could overflow a buffer.
        (No assigned CVE number.)
  * build architecture dependent and independent packages separately
  * [Debconf translation updates]
    - Indonesian (Mahyuddin Susanto). (Closes: #653938)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 12 Jan 2012 12:53:09 +0100

wireshark (1.6.4-1) unstable; urgency=low

  * New upstream release 1.6.4
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.4.html
  * remove Joost Yervante Damad from uploaders as he has resigned
    Thank you Joost for taking care of Wireshark packages for many years!

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 19 Nov 2011 11:21:58 +0100

wireshark (1.6.3-1) unstable; urgency=high

  * New upstream release 1.6.3
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.3.html
    - security fixes:
      - The CSN.1 dissector could crash
        (No assigned CVE number.)
      - Huzaifa Sidhpurwala of Red Hat Security Response Team discovered
        that the Infiniband dissector could dereference a NULL pointer.
        (No assigned CVE number.)
      - Huzaifa Sidhpurwala of Red Hat Security Response Team discovered a
        buffer overflow in the ERF file reader. (No assigned CVE number.)
    -  bump library versions
  * add build-arch and build-indep targets to debian/rules
  * [Debconf translation updates]
    - Slovak (Slavko). (Closes: #647082)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 01 Nov 2011 21:04:31 +0100

wireshark (1.6.2-1) unstable; urgency=high

  * New upstream release 1.6.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.2.html
    - security fixes
      - A large loop in the OpenSafety dissector could cause a crash.
        (CVE-2011-3484)
      - A malformed IKE packet could consume excessive resources.
        (CVE-2011-3266)
      - A malformed capture file could result in an invalid root tvbuff and
        cause a crash. (CVE-2011-3483 )
      - Wireshark could run arbitrary Lua scripts. (CVE-2011-3360)
      - The CSN.1 dissector could crash. (CVE-2011-3482)
    - don't show subversion revision in window title (Closes: #635116)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 18 Sep 2011 04:10:15 -1000

wireshark (1.6.1-1) unstable; urgency=high

  * New upstream release 1.6.1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.1.html
    - security fixes
       - The Lucent/Ascend file parser was susceptible to an infinite loop
         (CVE-2011-2597)
       - The ANSI MAP dissector was susceptible to an infinite loop
         (No assigned CVE number.)
  * use linux-any wildcard for architecture-specific dependencies
    (Closes: #634671)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 19 Jul 2011 14:52:12 +0200

wireshark (1.6.0-2) unstable; urgency=low

  * [Debconf translation updates]
    - Korean (si-cheol KO). (Closes: #630951)
  * show a hint to read README.Debian when showing the warning about
    running Wireshark as root
    Thanks to Evan Huus for the suggestion.
  * don't ship .la files for plugins, it keeps lintian happy
  * migrate to dh_python2 from dh_pysupport
  * use dh_prep instead of obsoleted dh_clean -k in debian/rules

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 10 Jul 2011 00:28:09 +0200

wireshark (1.6.0-1) unstable; urgency=low

  * New upstream release 1.6.0
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.6.0.html
    - Decode protocols selectively using tshark -O (Closes: #179309)
    - Support opening files larger than 2GB on all platforms
      (Closes: #539287)
    - Bump library versions (Closes: #627146)
  * depend on omniidl instead of omniidl4 transitional package
  * [Debconf translation updates]
    - Dutch (Jeroen Schot). (Closes: #626145)
    - Hungarian (Balint Reczey).
  * start shipping libwireshark2, libwiretap2 and libwsutil2 instead of
    libwireshark0, libwiretap0 and libwsutil0, respectively
  * drop 05_bump_so_versions.patch as upstream started library versioning

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 07 Jun 2011 21:29:16 +0200

wireshark (1.5.1-1) experimental; urgency=low

  * New upstream development release 1.5.1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.5.1.html
  * update standards-version to 3.9.2
  * clarify in README.Debian that only root is able to capture packets in
    default installation (Closes: #621801)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Apr 2011 19:27:08 +0200

wireshark (1.5.0-1) experimental; urgency=low

  * New upstream development release 1.5.0
    - release notes:
      http://www.wireshark.org/news/20110124.html
    - Allow <interval> to be successfully sscanf'd no matter the locale
      for the decimal symbol (Closes: #454621)
    - Use more meaningful temp file name (Closes: #419710)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 08 Feb 2011 14:30:12 +0100

wireshark (1.4.3-2) unstable; urgency=low

  * re-upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Feb 2011 14:34:06 +0100

wireshark (1.4.3-1) experimental; urgency=high

  * New upstream release 1.4.3
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.3.html
    - security fixes
       - FRAsse discovered that the MAC-LTE dissector could overflow a buffer.
         (No assigned CVE number.)
       - FRAsse discovered that the ENTTEC dissector could overflow a buffer.
         (CVE-2010-4538) (Closes: #608990)
       - The ASN.1 BER dissector could assert and make Wireshark exit
         prematurely. (No assigned CVE number.)
  * drop 25_libwsutil-version.patch since it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 12 Jan 2011 15:31:35 +0100

wireshark (1.4.2-3) experimental; urgency=low

  [ W. Borgert ]
  * support IDL's #include in idl2deb (Closes: #314833)
  
  [ Balint Reczey ]
  * really ship include files in libwsutil-dev
  * raise Python 2.6 compatible exceptions (Closes: #585370)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Dec 2010 00:00:11 +0100

wireshark (1.4.2-2) experimental; urgency=low

  * separated libwsutil and related headers in libwsutil0 and
    libwsutil-dev packages

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 25 Nov 2010 23:26:09 +0100

wireshark (1.4.2-1) experimental; urgency=low

  * New upstream release 1.4.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.2.html
    - security fixes
       - Nephi Johnson of BreakingPoint discovered that the LDSS dissector
         could overflow a buffer. (No assigned CVE number.)
       - The ZigBee ZCL dissector could go into an infinite loop.
         (No assigned CVE number.)
  * drop 05_fix-display-filter-update-when-changing-profile.patch
    patch since it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 20 Nov 2010 18:41:41 +0100

wireshark (1.4.1-1) experimental; urgency=high

  * New upstream release 1.4.1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.1.html
    - add support for sll.ltype hooks (Closes: #594390)
    - security fixes
       - The Penetration Test Team of NCNIPC (China) discovered that the
         ASN.1 BER dissector was susceptible to a stack overflow
         (CVE-2010-3445)
  * pick fix for improperly backported display filter update when changing
    profile
  * [Debconf translation updates]
    - Basque (Iñaki Larrañaga Murgoitio).
    - Vietnamese (Clytie Siddall). (Closes: #598498)
  * make wireshark-dev depend on libwireshark-dev and libwiretap-dev
    (Closes: #596108)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 03 Sep 2010 13:20:33 +0200

wireshark (1.4.0-1) experimental; urgency=low

  [ Balint Reczey ]
  * New upstream release 1.4.0
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.0.html
  * drop 26_offline-documentation.patch patch since it has been integrated
    upstream
  * [Debconf translation updates]
    - French (Simon Paillard). (Closes: #593214)
    - Danish (Joe Hansen). (Closes: #594738)
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #594780)
    - Basque (Iñaki Larrañaga Murgoitio).
  * changed versioned conflicts to conflict with << 1.4.0~rc2-1 versions
    instead of conflicting with <= 1.2.7-1 ones to allow smooth upgrades
    from versions between 1.2.7-1 and 1.4.0~rc2-1 (Closes: #593875)
  * debian/control: updated policy to 3.9.1 (Eloy Paris removed the .la
    files to become compliant)

  [ Eloy Paris ]
  * Removed /usr/lib/libwiretap.la from the libwiretap-dev package and
    /usr/lib/libwireshark.la and /usr/lib/libwsutil.la from the
    libwireshark-dev package since external programs linking against
    libwiretap and libwireshark do not need them. Refer to the Debian
    Policy Manual 10.2 ("Libraries") for further information.

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 01 Sep 2010 23:52:27 +0200

wireshark (1.4.0~rc2-2) experimental; urgency=low

  * New wireshark-doc package for shipping offline documentation
    (Closes: #68746)
  * make libwireshark0-data suggest snmp-mibs-downloader instead of
    wireshark-common
  * [Debconf translation updates]
    - Japanese (Hideki Yamane (Debian-JP)).  (Closes: #591563)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 16:34:05 +0200

wireshark (1.4.0~rc2-1) experimental; urgency=low

  [ Eloy Paris ]
  * New upstream release.
    - Make tshark list interfaces for non-root user (Closes: #582298)
    - Fix duplicate inconsistent attributes in RADIUS dictionary.
      (Closes: #570132)
  * New libwireshark0, libwireshark-dev, libwiretap0, libwiretap-dev
    packages that reorganize libraries, header files, etc. as follows:
    - Moved libwireshark.so.* from package wireshark-common to package
      libwireshark0.
    - Moved libwsutil.so.* from package wireshark-common to package
      libwireshark0.
    - Moved libwiretap.so.* from package wireshark-common to package
      libwiretap0.
    - Moved header files, .so symlinks, and static libraries from package
      wireshark-dev to libwireshark-dev and libwiretap-dev, depending on
      the case.
    - Moved plugins in /usr/lib/wireshark/ from package wireshark-common
      to package libwireshark0.
    This provides more package granularity and allows easier use of
    libraries provided by the Wireshark project by applications that
    are not maintained by the Wireshark project (package kismet currently
    appears to use services offered by libwiretap, and upcoming package
    netexpect will use libwireshark services [see ITP bug #587056]).
  * Dropped 23_lintian-overrides.patch since we no longer have binaries
    with RPATHs because after the library separation work mentioned above
    our libraries are in /usr/lib and not in /usr/lib/wireshark, eliminating
    the need for RPATHs. Also tweaked debian/rules, debian/tshark.files,
    and debian/wireshark-common.files so the lintian overrides
    are not installed.
  * Dropped the following patches since they have been integrated
    upstream:
    - 05_libsnmp_path.patch
    - 07_mib_tip.patch
    - 11_disable_oid_resolution_by_default.patch
    - 12_fix_about_crash.patch
    - 21_dumpcap.patch

  [ Balint Reczey ]
  * Dropped the following patches since they have been integrated
    upstream:
    - 10_prevent_libsmi_crash.patch
    - 04_asn2wrs_ply.patch
    - 06_giop-buffer.patch
  * moved platform independent files needed by libwireshark0 to 
    new libwireshark0-data package from wireshark-common
  * New upstream release 1.4.0~rc2

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 15:27:21 +0200

wireshark (1.2.10-1) unstable; urgency=high

  * New upstream release 1.2.10
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.10.html
    - security fixes
       - The SigComp Universal Decompressor Virtual Machine could overrun a
         buffer. (CVE-2010-2287)
       - Due to a regression the ASN.1 BER dissector could exhaust stack
         memory. (CVE-2010-2284)
       - The GSM A RR dissector could crash. (No assigned CVE number.)
       - The IPMI dissector could go into an infinite loop.
         (No assigned CVE number.)
  * [Debconf translation updates]
    - German (Helge Kreutzmann). (Closes: #590484)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 08:30:02 +0200

wireshark (1.2.9-2) unstable; urgency=low

  * ship README.Debian with wireshark and tshark packages in addition to
    shipping it with wireshark-common
  * Debconf template update to refer to README.Debian instead of going into
    technical details
  * [Debconf translation updates]
    - German (Helge Kreutzmann). (Closes: #587559, #587560)
    - Portuguese (Pedro Ribeiro). (Closes: #587213)
    - Swedish (Martin Ågren).
    - Italian (Luca Monducci).
    - Czech (Martin Sin). (Closes: #586556)
    - Russian (Yuri Kozlov). (Closes: #586580)
    - Spanish (Francisco Javier Cuadrado). (Closes: #588809)
  * debian/control: updated policy to 3.9.0 (no changes needed)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 21 Jul 2010 00:33:00 +0200

wireshark (1.2.9-1) unstable; urgency=high

  * New upstream release 1.2.9
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.9.html
    - security fixes
       - The SMB dissector could dereference a NULL pointer.
         (No assigned CVE number.)
       - J. Oquendo discovered that the ASN.1 BER dissector could overrun
         the stack. (No assigned CVE number.)
       - The SMB PIPE dissector could dereference a NULL pointer on some
         platforms. (No assigned CVE number.)
       - The SigComp Universal Decompressor Virtual Machine could go into
         an infinite loop. (No assigned CVE number.)
       - The SigComp Universal Decompressor Virtual Machine could overrun a
         buffer. (No assigned CVE number.)
  * drop sensitive open patch as it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 10 Jun 2010 21:44:58 +0200

wireshark (1.2.8-1) unstable; urgency=low
  * New upstream release 1.2.8
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.8.html
    - Fix crash when double-clicking on empty packet list (Closes: #576097)
    - security fixes
       - The DOCSIS dissector could crash. (No assigned CVE number.)
  [ Hilko Bengen ]
  * provide debug symbols in wireshark-dbg package (Closes: #574284)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 06 May 2010 17:26:54 +0200

wireshark (1.2.7-1) unstable; urgency=low
  * New upstream release 1.2.7
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.7.html
  * fix purging wireshark-common when removing wireshark system group fails
  * fix crash when opening About box with disabled OID resolution
    (Closes: #574086)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 01 Apr 2010 11:11:37 +0100

wireshark (1.2.6-5) unstable; urgency=low

  * disable OID resolution in default configuration (Closes: #568050)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Mar 2010 19:38:07 +0100

wireshark (1.2.6-4) unstable; urgency=low

  * fix spelling of 'privileges' in README.Debian (Closes: #571258)
  * prevent crash in libsmi (Closes: #567799)
  * describe problem with MIBs in README.Debian

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 17 Feb 2010 15:36:53 +0100

wireshark (1.2.6-3) unstable; urgency=low

  * falling back to setting set-user-id bit if using Linux Capabilities fails
    (Closes: #570193)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 17 Feb 2010 11:29:56 +0100

wireshark (1.2.6-2) unstable; urgency=low

  * build-depend on new libcap-dev instead of libcap2-dev if libcap2 is not
    available (Closes: #568083)
  * update standards-version to 3.8.4
  * drop dpatch patch system
  * use Linux Capabilities for allowing dumpcap to capture packets instead of
    set-user-id bit where possible

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Feb 2010 16:34:59 +0100

wireshark (1.2.6-1) unstable; urgency=high

  * New upstream release 1.2.6
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.6.html
    - security fixes
       - Babi discovered several buffer overflows in the LWRES dissector.
         (No assigned CVE number.)
    (Closes: #565744)
  * [Debconf translation updates]
    - Brazilian Portuguese (Rafael Henrique da Silva Correia).
      (Closes: #565306)
  * remove dependency on libsnmp-base
  * suggest snmp-mibs-downloader instead of libsmi2-common

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 15 Jan 2010 21:51:34 +0100

wireshark (1.2.5-1) unstable; urgency=high

  * New upstream release 1.2.5
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.5.html
    - security fixes
       - The Daintree SNA file parser could overflow a buffer. 
         (No assigned CVE number.)
       - The SMB and SMB2 dissectors could crash. (No assigned CVE number.)
       - The IPMI dissector could crash on Windows. (No assigned CVE number.)
  * fix FTBS because of missing idl2deb.dbk (Closes: #560553)
  * suggest solutions on missing MIBs popup (Closes: #560727)
  * restrict watch check to stable versions
  * change source package format to 3.0 (quilt)
  * new maintainer is Balint Reczey

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 11 Dec 2009 16:29:01 +0100

wireshark (1.2.4-3) unstable; urgency=low

  * depend on libsnmp-base instead of libsmi2-common (Closes: #557626)
  * libsmi2-common is just suggested by wireshark-common from now
  * build-depend on python-ply

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 23 Nov 2009 10:38:21 +0100

wireshark (1.2.4-2) unstable; urgency=low

  [ Jakub Wilk ]
  * import lex from ply in asn2wrs (Closes: #554613)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 19 Nov 2009 23:29:24 +0100

wireshark (1.2.4-1) unstable; urgency=low

  * New upstream release 1.2.4
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.4.html
  [ Jakub Wilk ]
  * make wireshark-dev depend on python-ply to fix asn2wrs (Closes: #554613)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 17 Nov 2009 15:11:10 +0100

wireshark (1.2.3-1) unstable; urgency=high

  * New upstream release 1.2.3
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.3.html
    - security fixes
       - The Paltalk dissector could crash on alignment-sensitive processors.
         (CVE-2009-3549)
       - The DCERPC/NT dissector could crash. (CVE-2009-3550)
       - The SMB dissector could crash. (CVE-2009-3551)
    (Closes: #553583)
  [ Eloy Paris ]
  * added missing libraries and header files to wireshark-dev (Closes: #552025)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Oct 2009 14:35:20 +0100

wireshark (1.2.2-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #547130
  * [Debconf translation updates]
    - German (Helge Kreutzmann).  Closes: #547229
    - Basque (Piarres Beobide).  Closes: #547268
    - Portuguese (Pedro Ribeiro).  Closes: #547381
    - Swedish (Martin Ågren).  Closes: #547383
    - Vietnamese (Clytie Siddall).  Closes: #547800
    - French (Simon Paillard).  Closes: #548340
    - Italian (Luca Monducci).  Closes: #548605
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #548655
    - Spanish (Francisco Javier Cuadrado).  Closes: #548700
    - Czech (Martin Sin).  Closes: #548728
    - Russian (Yuri Kozlov).  Closes: #549086
    - Finnish (Esko Arajärvi).  Closes: #549609

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Sep 2009 14:06:52 +0200

wireshark (1.2.2-1) unstable; urgency=high

  * New upstream release 1.2.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.2.html
    - security fixes
       - The GSM A RR dissector could crash. (CVE-2009-3242)
       - The OpcUa dissector could use excessive CPU and memory. (CVE-2009-3241)
       - The TLS dissector could crash on some platforms.
    (Closes: #547704)
  * dropped sigpipe patch as it has been integrated upstream
  * debian/{control,rules}: add and enable hardened build for PIE
    Thanks to Kees Cook <kees@ubuntu.com> for the patch. (Closes: #542736)
  * update standards-version to 3.8.3
  * applied dumpcap patch that was added to source package in 1.0.7-1 
    but was not applied during build

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 28 Aug 2009 00:44:22 +0200

wireshark (1.2.1-2) unstable; urgency=low

  * added option to install dumpcap with setuid root
  * removed wireshark-root.desktop to discourage running Wireshark as root
  * dropped umask patch

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 28 Jul 2009 18:30:03 +0200

wireshark (1.2.1-1) unstable; urgency=high

  * New upstream release 1.2.1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.1.html
    - security fixes
       - The IPMI dissector could overrun a buffer. (CVE-2009-2559)
       - The AFS dissector could crash. (CVE-2009-2562)
       - The Infiniband dissector could crash on some platforms. (CVE-2009-2563)
       - The Bluetooth L2CAP dissector could crash. (CVE-2009-2560)
       - The RADIUS dissector could crash. (CVE-2009-2560)
       - The MIOP dissector could crash. (CVE-2009-2560)
       - The sFlow dissector could use excessive CPU and memory. (CVE-2009-2561)
    (Closes: #538237)
  * dropped gnutls pkg-config patch as it has been integrated upstream
  * include asn2wrs.py (Closes: #518441)
  * fix inclusion of Python modules wireshark_be.py and wireshark_gen.py
  * updated idl2deb (Closes: #470316)
     Thanks to W. Borgert for the patch.
  * override lintian warning binary-or-shlib-defines-rpath
  * update standards-version to 3.8.2

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 14 Jul 2009 20:01:56 +0200

wireshark (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.0.html
    (Closes: #487613, #520884, #482545, #376405, #512298)
  * use c-ares instead of adns (Closes: #427928, #411265)
  * depend on libgeoip1 to make use of brand new GeoIP support in 1.2.0 
  * added description for 09_idl2wrs.dpatch
  * recommend menu instead of gksu (Closes: #524360)
  * dropped Clique RM dissector patch as it is still not integrated upstream
  * depend on libsmi2-common

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 30 Jun 2009 20:48:16 -0700

wireshark (1.0.8-2) unstable; urgency=low

  * detect gnutls using pkg-config (Closes: #529913)
     Thanks to Andreas Metzler for the patch.
  * depend on libsmi2-dev (Closes: #490429)
  * updated sigpipe patch to match upstream's latest solution

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 30 Jun 2009 12:55:39 -0700

wireshark (1.0.8-1) unstable; urgency=low

  * New upstream release 1.0.8
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.0.8.html
    - security fixes:
       - The PCNFSD dissector could crash.(No assigned CVE number.)
  * add README.source (Closes: #524364)
  * removed wireshark-dev's dependency on removed omniidl package

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 26 Jun 2009 20:31:26 -0700

wireshark (1.0.7-1) unstable; urgency=low

  * New upstream release 1.0.7
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.0.7.html
    - security fixes:
      - The PROFINET dissector was vulnerable to a format string
        overflow. (CVE-2009-1210)
      - The LDAP dissector could crash on Windows. (CVE-2009-1267)
      - The Check Point High-Availability Protocol (CPHAP) dissector
        could crash. (CVE-2009-1268)
      - Wireshark could crash while loading a Tektronix .rf5 file
        (CVE-2009-1269)
  * update standards-version to 3.8.1
  * add 21_dumpcap.dpatch with patch from Rob Leslie <rob@mars.org>
    that should avoid dumpcap seeing stop on CTRL-C as an error
    (Closes: #518435)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 11 Apr 2009 10:06:45 +0200

wireshark (1.0.6-1) unstable; urgency=low

  * new upstream release 1.0.6
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.0.6.html
    - security fixes:
      - On non-Windows systems, Wireshark could crash if the HOME
        environment variable contained sprintf-style string
        formatting characters
      - Wireshark could crash while reading a malformed NetScreen
        snoop file
      - Wireshark could crash while reading a Tektronix K12 text
        capture file
  * add 20_sigpipe patch from ubuntu, which restores the default
    sigpipe action, meaning that the app won't hang under gksu
    (Closes: #478169)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 07 Feb 2009 15:35:10 +0100

wireshark (1.0.5-1) unstable; urgency=low

  * New upstream release 1.0.5
    - release notes:
     http://www.wireshark.org/docs/relnotes/wireshark-1.0.5.html
    - security fixes:
      - The SMTP dissector could consume excessive amounts of CPU and memory
      - The WLCCP dissector could go into an infinte loop

 -- Joost Yervante Damad <andete@debian.org>  Sat, 13 Dec 2008 14:31:33 +0100

wireshark (1.0.4-1) unstable; urgency=low

  * New upstream release 1.0.4
    - release notes:
     http://www.wireshark.org/docs/relnotes/wireshark-1.0.4.html
    - security fixes:
      - Bluetooth ACL dissector could crash or abort
      - The Q.931 dissector could crash or abort
      - Wireshark could abort while reading Tamos CommView
        capture files
      - the USB dissector could crash, also BT RFCOMM
      - PRP and MATE dissectors could make Wireshark crash
    - CVE-2008-4680, CVE-2008-4681, CVE-2008-4682, CVE-2008-4683,
      CVE-2008-4684, CVE-2008-4685
  * disable clique_rm support patch (if you're interested in this
    dissector please get it accepted by upstream)
  * add description to some patches

 -- Joost Yervante Damad <andete@debian.org>  Fri, 05 Dec 2008 10:35:47 +0100

wireshark (1.0.3-1) unstable; urgency=high

  * New upstream release 1.0.3 (Closes: #497878)
    - release notes:
     http://www.wireshark.org/docs/relnotes/wireshark-1.0.3.html
    - security fixes:
      - The NCP dissector was susceptible to a number of problems,
        including buffer overflows and an infinite loop
        (CVE-2008-3146, CVE-2008-3932)
      - Wireshark could crash while uncompressing zlib-compressed
        packet data (CVE-2008-3933)
      - Wireshark could crash while reading a Tektronix .rf5 file
        (CVE-2008-3934)
    - other fixes:
      - Following a TCP stream could incorrectly reassemble packets
        (Closes: #496768)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 12 Sep 2008 15:05:58 +0200

wireshark (1.0.2-3) unstable; urgency=low

  * remove build-dependency on libsmi-dev; libsmi
    seems to be in bad shape in Debian; don't want
    to be dependent on it this close to the release

 -- Joost Yervante Damad <andete@debian.org>  Tue, 22 Jul 2008 19:15:23 +0200

wireshark (1.0.2-2) unstable; urgency=low

  * switch to libcap2 (Closes: #489310)
  * include rawshark in common (Closes: #490436)
  * include dumpcap manpage (Closes: #490434)
  * build-depend on libsmi-dev (Closes: #490429)
  * switch to standards-version 3.8.0.1

 -- Joost Yervante Damad <andete@debian.org>  Sun, 20 Jul 2008 18:34:25 +0200

wireshark (1.0.2-1) unstable; urgency=high

  * New upstream release 1.0.2
    - release notes:
     http://www.wireshark.org/docs/relnotes/wireshark-1.0.2.html
    - security fixes:
      - Wireshark could crash while reassembling packets
        (CVE-2008-3145)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 11 Jul 2008 13:48:49 +0200

wireshark (1.0.1-1) unstable; urgency=high

  [ Frederic Peters ]
  * debian/patches/20_set_foreground.dpatch: set black text for packet detail
    rows that are set to a light gray background.  (closes: #478769)
  * debian/control: updated Conflicts and Replaces to 1.0.0-3, so upgrades
    from more versions are possible.

  [ Joost Yervante Damad ]
  * New upstream release 1.0.1
    - release notes:
     http://www.wireshark.org/docs/relnotes/wireshark-1.0.1.html
    -  security fixes:
      - The PANA and KISMET dissectors could force Wireshark to quit
        unexpectedly
      - The RTMPT dissector could crash
      - The RMI dissector could disclose system memory
      - The syslog dissector could crash
    - (enable setuid dumpcap install -> disabled again for now,
       needs discussion first)
    - del 20_set_foreground.dpatch; incorporated upstream

 -- Joost Yervante Damad <andete@debian.org>  Tue, 01 Jul 2008 21:08:31 +0200

wireshark (1.0.0-3) unstable; urgency=low

  * remove transitional "ethereal" packages
    (Closes: #477529, #477532, #477534, #477541)
  * create README.Debian with note about the sometimes surprising
    display filter syntax (Closes: #456506, #456507)
  * tethereal is completely gone now (Closes: #410058)
  * be more liberal with respect to umask when creating files
    (Closes: 191088): 19_umask.dpatch

 -- Joost Yervante Damad <andete@debian.org>  Sat, 26 Apr 2008 10:20:02 +0200

wireshark (1.0.0-2) unstable; urgency=low

  [Joost Yervante Damad]
  * avoid /usr/share/wireshark/wireshark (Closes: #476574)
  * disable patch 07 and 14, I think patch 07 caused the
    build failure which introduced patch 14
  * this version works with "ForwardX11Trusted no" (Closes: #298740)
  * disable patch 10 (obsolete)
  * submission (tcp/587) is recognized as SMTP now (Closes: #456513)
  * save as works for filtered output (Closes: #456502)
  * preferences settings get active immediately now (Closes: #259319)

  [Frederic Peters]
  * debian/control: updated Depends from automake1.8 to automake1.9
    (closes: #474341)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 22 Apr 2008 19:59:24 +0200

wireshark (1.0.0-1) unstable; urgency=low

  * Several security issues were solved in 0.99.7 already:
    (closes: #452381)
    * allow remote attackers to cause a denial of service (crash) via (1) a
      crafted MP3 file or (2) unspecified vectors to the NCP dissector
      (CVE-2007-6111)
    * Buffer overflow in the PPP dissector Wireshark (formerly Ethereal)
      0.99.6 allows remote attackers to cause a denial of service (crash)
      and possibly execute arbitrary code via unknown vectors.
      (CVE-2007-6112)
    * Wireshark (formerly Ethereal) 0.10.12 to 0.99.6 allows remote
      attackers to cause a denial of service (long loop) via a malformed DNP
      packet (CVE-2007-6113)
    * Multiple buffer overflows in Wireshark (formerly Ethereal) 0.99.0
      through 0.99.6 allow remote attackers to cause a denial of service
      (crash) and possibly execute arbitrary code via (1) the SSL dissector
      or (2) the iSeries (OS/400) Communication trace file parser
      (CVE-2007-6114)
    * Buffer overflow in the ANSI MAP dissector for Wireshark (formerly
      Ethereal) 0.99.5 to 0.99.6, when running on unspecified platforms,
      allows remote attackers to cause a denial of service and possibly
      execute arbitrary code via unknown vectors. (CVE-2007-6115)
    * The Firebird/Interbase dissector in Wireshark (formerly Ethereal)
      0.99.6 allows remote attackers to cause a denial of service (infinite
      loop or crash) via unknown vectors. (CVE-2007-6116)
    * Unspecified vulnerability in the HTTP dissector for Wireshark
      (formerly Ethereal) 0.10.14 to 0.99.6 has unknown impact and remote
      attack vectors related to chunked messages. (CVE-2007-6117)
    * The MEGACO dissector in Wireshark (formerly Ethereal) 0.9.14 to 0.99.6
      allows remote attackers to cause a denial of service (long loop and
      resource consumption) via unknown vectors. (CVE-2007-6118)
    * The DCP ETSI dissector in Wireshark (formerly Ethereal) 0.99.6 allows
      remote attackers to cause a denial of service (long loop and resource
      consumption) via unknown vectors. (CVE-2007-6119)
    * The Bluetooth SDP dissector Wireshark (formerly Ethereal) 0.99.2 to
      0.99.6 allows remote attackers to cause a denial of service (infinite
      loop) via unknown vectors. (CVE-2007-6120)
    * Wireshark (formerly Ethereal) 0.8.16 to 0.99.6 allows remote attackers
      to cause a denial of service (crash) via a malformed RPC Portmap
      packet. (CVE-2007-6121)
  * current wireshark has SSL support (closes: #172939)
  * and H323 support (closes: #117201)
  * resizing columns bugfix was applied last year (closes: #369044)
  * new upstream release 1.0.0
    http://www.wireshark.org/docs/relnotes/wireshark-1.0.0.html
  * remove debian/ directory from upstream
  * update 14_disable-cmip.dpatch.
  * if wireshark has no priv, it now prints:
      dumpcap: There are no interfaces on which a capture can be done
      (closes: #468400)
  * wireshark uses su-to-root now (closes: #472478)
  * vulnerabilities fixed:
    * The X.509sat and other dissector could crash (CVE-2008-1561)
    * The LDAP dissector could crash on Windows and other platforms.
      (CVE-2008-1562)
    * The SCCP dissector could crash while using the "decode as"
      feature (CVE-2008-1563)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 01 Apr 2008 19:48:19 +0200

wireshark (0.99.8-1) unstable; urgency=medium

  * New upstream release.
    * release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-0.99.8.html
    * Fixes strptime() problem; debian/patches/18_strptime_proto.dpatch
      no longer needed; (closes: #452772)
    * Fixed security issues:
      * The SCTP dissector could crash. (CVE-2008-1070)
      * The SNMP dissector could crash. (CVE-2008-1071)
      * (closes: #469488)
  * updated debian/patches/05_plugin-libdir.dpatch, as upstream
    incorporated part of the patch
  * updated debian/patches/08_wireshark-desktop-menu.dpatch
  * updated debian/patches/14_disable-cmip.dpatch
  * use su-to-root isof gksu (closes: #454051)
  * make init.lua a conffile (closes: #458689)
  * use $(CURDIR) isof `pwd` in debian/rules
  * lintian fixes:
    * I: wireshark binary: desktop-entry-contains-encoding-key
      /usr/share/applications/wireshark-root.desktop
    * W: wireshark binary: su-wrapper-not-su-to-root
      /usr/share/applications/wireshark-root.desktop gksu
  * bump standards version to 3.7.2.2 (3.7.3.0 still needs more checking)
  * update debhelper compat to 5
  * bump standards version to 3.7.3.0
  * update debhelper compat to 6
  * remove debian/ dir from upstream tar file

 -- Joost Yervante Damad <andete@debian.org>  Wed, 12 Mar 2008 20:47:56 +0100

wireshark (0.99.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/18_strptime_proto.dpatch: Define __USE_XOPEN when
    using the strptime function.  (closes: #452772)

 -- dann frazier <dannf@debian.org>  Mon, 10 Mar 2008 14:16:45 -0600

wireshark (0.99.7-1) unstable; urgency=high

  * New upstream release.
    * fixes several security issues:
      * The IPv6 dissector could loop excessively.  (CVE-2007-6439)
      * The USB dissector could loop excessively or crash.  (CVE-2007-6439)
      * The SMB dissector could crash.  (CVE-2007-6438)
      * The RPL dissector could go into an infinite loop.  (CVE-2007-6450)
      * The WiMAX dissector could crash due to unaligned access on some
        platforms.  (CVE-2007-6441)
      * The CIP dissector could attempt to allocate a huge amount of memory
        and crash.  (CVE-2007-6451)
  * debian/patches/04_drop-capabilities.dpatch: disable "drop capabilities"
    patch as Wireshark now has a dumpcap binary that drop capabilities and
    capture network.  This fixes issues of dropping too many capabilities.
    (closes: #453292)
  * debian/control, debian/rules: enabled LUA support.  (closes: #412097)
  * debian/patches/17_clique_rm_support.dpatch: add support for the CliqueRM
    protocol.  (closes: #454739)
  * debian/patches/05_plugin-libdir.dpatch: updated to fix plugin installation.
    (closes: #454758)

 -- Frederic Peters <fpeters@debian.org>  Fri, 21 Dec 2007 17:56:59 +0100

wireshark (0.99.7~pre1-2) unstable; urgency=low

  * debian/rules: adds LD_LIBRARY_PATH when calling dpkg-shlibdeps and adds
    a wireshark-common shlibs file.  (closes: #453801)

 -- Frederic Peters <fpeters@debian.org>  Wed, 05 Dec 2007 16:27:59 +0100

wireshark (0.99.7~pre1-1) unstable; urgency=high

  * New upstream pre-version; packaged since it fixes security issues:
    * Could crash when reading an MP3 file.
    * Could loop excessively while reading a malformed DNP packet.
    * The SSL dissector could overflow a buffer.
    * The ANSI MAP dissector could be susceptible to a buffer overflow on some
      platforms.
    * The Firebird/Interbase dissector could go into an infinite loop or
      crash.
    * The NCP dissector could cause a crash.
    * The HTTP dissector could crash on some systems while decoding chunked
      messages.
    * The MEGACO dissector could enter a large loop and consume system
      resources.
    * The DCP ETSI dissector could enter a large loop and consume system
      resources.
    * The iSeries (OS/400) Communication trace file parser could overflow a
      buffer.
    * The PPP dissector could overflow a buffer.
    * The Bluetooth SDP dissector could go into an infinite loop.
    * A malformed RPC Portmap packet could cause a crash.
  * debian/patches/03_preferences.dpatch: modified to directly change
    epan/prefs.c instead of going through configure.in modification.
  * debian/patches/04_drop-capabilities.dpatch: configure check for libcap has
    been integrated upstream, removed from patch, but added required explicit
    -lcap linkage.
  * debian/patches/05_plugin-libdir.dpatch, debian/rules: reduced patch; using
    a configure flag instead of overriding plugindir.
  * debian/patches/08_wireshark-desktop-menu.dpatch: updated.
  * debian/patches/14_disable-cmip.dpatch: updated.

 -- Frederic Peters <fpeters@debian.org>  Thu, 22 Nov 2007 19:49:41 +0100

wireshark (0.99.6rel-5) unstable; urgency=low

  * debian/patches/16_licence_about_location.dpatch: removed GPL copy from
    file used to fill the About dialog and created a new file with reference
    to copy in /usr/share/common-licences/

 -- Frederic Peters <fpeters@debian.org>  Sat, 29 Sep 2007 15:56:38 +0200

wireshark (0.99.6rel-4) unstable; urgency=low

  * debian/patches/14_disable-cmip.dpatch: removed automake generated part as
    it can cause problems on a second build.  (closes: #442760)
  * debian/control: upgraded build-depends from libportaudio-dev to
    portaudio19-dev (closes: #431222)
  * debian/patches/08_wireshark-desktop-menu.dpatch: updated to add Encoding
    entry, as required by desktop file spec
  * debian/patches/08_wireshark-desktop-menu.dpatch: updated Categories entry
    to remove Application.
  * debian/wireshark-root.desktop: updated Categories to remove Application.
  * debian/wireshark.menu: renamed Apps to Applications and Net to Network,
    and added a subsubmenu, "Monitoring", to comply with new menu policy.

 -- Frederic Peters <fpeters@debian.org>  Fri, 28 Sep 2007 21:02:41 +0200

wireshark (0.99.6rel-3) unstable; urgency=low

  * debian/rules: added check for wireshark-dev headers (closes: #436247)

 -- Frederic Peters <fpeters@debian.org>  Fri, 24 Aug 2007 14:19:01 +0000

wireshark (0.99.6rel-2) unstable; urgency=low

  * debian/rules: added -02 -g CFLAGS (closes: #439298)

 -- Frederic Peters <fpeters@debian.org>  Fri, 24 Aug 2007 07:48:08 +0000

wireshark (0.99.6rel-1) unstable; urgency=low

  * New upstream release.
    * named 0.99.6rel to be greater than 0.99.6pre
  * added epan/ subdirectories to dev header files (closes: #436247)
    * I still need someone to provide me with test code so an extension can
      actually be built and tested at build time.
  * debian/rules: added --enable-warnings-as-errors=no to configure flags
  * debian/patches/15_sensitive_open.dpatch: new patch to allow keyboard
    selection of capture file in open dialog (closes: #439198)

 -- Frederic Peters <fpeters@debian.org>  Thu, 23 Aug 2007 09:13:00 +0000

wireshark (0.99.6pre1-1) unstable; urgency=high

  * New upstream pre-release, with security fixes:
    * could crash when dissecting an HTTP chunked response
    * could crash while reading iSeries capture files
    * could exhaust system memory while reading a malformed DCP ETSI packet
    * could loop excessively while reading a malformed SSL packet
    * DHCP/BOOTP dissector was susceptible to an off-by-one error
    * could loop excessively while reading a malformed MMS packet
  * debian/control: added libkrb5-dev to build-deps so Kerberos support is
    built.
  * debian/control: replaced {Source-Version} with appropriate {binary:Version}
  * debian/wireshark-dev.header-files: use wildcards to get all headers
    (closes: #423000)
  * debian/patches/14_disable-cmip.dpatch: disable CMIP dissector which
    doesn't build at the moment.
  * debian/rules: don't ignore all errors on make distclean

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Jun 2007 13:33:43 +0200

wireshark (0.99.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/09_idl2wrs.dpatch: updated to patch idl2wrs.sh.in.

 -- Frederic Peters <fpeters@debian.org>  Sun, 01 Apr 2007 08:58:40 +0000

wireshark (0.99.4-5) unstable; urgency=high

  * debian/patches/00list: really include backported security fixes, stupid me.

 -- Frederic Peters <fpeters@debian.org>  Mon, 26 Feb 2007 09:30:29 +0000

wireshark (0.99.4-4) unstable; urgency=high

  * Backported security fixes from 0.99.5pre1
    * The TCP dissector could hang or crash while reassembling HTTP packets.
    * The HTTP dissector could crash.
    * On some systems, the IEEE 802.11 dissector could crash.
    * On some systems, the LLT dissector could crash.

 -- Frederic Peters <fpeters@debian.org>  Fri, 19 Jan 2007 21:49:04 +0100

wireshark (0.99.4-3) unstable; urgency=low

  * debian/control: added build dependency on libportaudio-dev so sniffed voip
    G.711 calls are listenable. (closes: #398673)
  * debian/patches/08_wireshark-desktop-menu.dpatch: removed extraneous .rej
    file from patch.

 -- Frederic Peters <fpeters@debian.org>  Sun, 19 Nov 2006 16:39:26 +0000

wireshark (0.99.4-2) unstable; urgency=low

  * debian/wireshark-dev.files: added more headers, so that dissectors for 
    DCE/RPC interfaces can be build externally. (closes: #397292)

 -- Frederic Peters <fpeters@debian.org>  Mon,  6 Nov 2006 12:48:20 +0100

wireshark (0.99.4-1) unstable; urgency=high

  * Backported security patches from yet unreleased 0.99.4 (closes: #396258)
    * http://www.wireshark.org/security/wnpa-sec-2006-03.html has details
    * HTTP dissector could crash (CVE-2006-5468)
    * LDAP dissector (and others) could crash (CVE-2006-5740)
    * XOT dissector could attempt to allocate a large amount of memory and
      crash (CVE-2006-4805)
    * WBXML dissector could crash (CVE-2006-5469)
    * MIME Multipart dissectar was susceptible to an off-by-one error
      (CVE-2006-4574)
    * Parsing a WEP key could cause a crash
  * debian/control: disabled libcap-dev for kfreebsd and hurd
    (closes: #375022)

 -- Frederic Peters <fpeters@debian.org>  Wed,  1 Nov 2006 10:05:05 +0100

wireshark (0.99.3a-2) unstable; urgency=low

  * debian/ethereal-common.NEWS: added a note about ethereal -> wireshark name
    change.

 -- Frederic Peters <fpeters@debian.org>  Thu, 12 Oct 2006 15:42:48 +0200

wireshark (0.99.3a-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/11_iscsi_dissector.dpatch, 12_ipsec_dissector.dpatch,
    13_q2931_security_fix.dpatch: security patches that were backported.
  * debian/patches/11_typo_packet-dap: fixed a typo s/diwsect/dissect/

 -- Frederic Peters <fpeters@debian.org>  Mon, 18 Sep 2006 18:56:12 +0200

wireshark (0.99.2-6) unstable; urgency=low

  * Acknowledge NMU, thank Steinar.
  * debian/wireshark-dev.postinst: removed rests of old Python module
    compilation, it is not needed by new policy.  (closes: #385357)

 -- Frederic Peters <fpeters@debian.org>  Wed,  6 Sep 2006 23:34:36 +0200

wireshark (0.99.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport security fixes from 0.99.3a (via Subversion); fixes
    CVE-2006-4331, CVE-2006-4333 (CVE-2006-4330 was fixed in last upload,
    and CVE-2006-4332 is not relevant for Debian). (Closes: #384529)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  5 Sep 2006 02:15:53 +0200

wireshark (0.99.2-5) unstable; urgency=low

  * debian/patches/11_iscsi_dissector.dpatch: new patch, fixing bug reported
    against iSCSI dissector, taken from upstream (r18832) (closes: #381860)

 -- Frederic Peters <fpeters@debian.org>  Mon,  7 Aug 2006 16:59:50 +0200

wireshark (0.99.2-4) unstable; urgency=low

  * debian/control: set ethereal-dev section to devel, it was lost in copy
    pasting.
  * debian/control, debian/rules, debian/pyversions: updated to new Python
    policy. (closes: #380986)

 -- Frederic Peters <fpeters@debian.org>  Tue,  1 Aug 2006 13:05:21 +0200

wireshark (0.99.2-3) unstable; urgency=low

  * debian/control: added dummy transitional packages to provide an upgrade
    path from ethereal.  (closes: #380647)

 -- Frederic Peters <fpeters@debian.org>  Mon, 31 Jul 2006 18:21:27 +0200

wireshark (0.99.2-2) unstable; urgency=low

  * debian/rules: set --datadir so that DATAFILE_DIR is correct (it was
    wrongly set to "${prefix}/share/wireshark" and not expanded.
    * AUTHORS-SHORT is now displayed correclty in about dialog
    * colofilters is now found and used properly

 -- Frederic Peters <fpeters@debian.org>  Wed, 26 Jul 2006 13:27:54 +0200

wireshark (0.99.2-1) unstable; urgency=high

  * New upstream release. (closes: #378745)
    * The project changed name, ethereal is now wireshark. (closes: #351941)
      See http://www.wireshark.org/news/20060607.html
      * tethereal has been renamed to tshark
      * idl2eth has been renamed to idl2wrs
    * Urgency high since it fixes security issues
      * http://www.wireshark.org/security/wnpa-sec-2006-01.html has details
      * crash in GSM BSSMAP dissector (CVE-2006-3627)
      * format string overflow in ANSI MAP dissector (CVE-2006-3628)
      * format string overflow in Checkpoint FW-1 dissector (CVE-2006-3628)
      * format string overflow in MQ dissector (CVE-2006-3628)
      * format string overflow in XML dissector (CVE-2006-3628)
      * large memory allocation in MOUNT dissector (CVE-2006-3629)
      * off-by-one errors in NCP NMAS and NDPS dissectors (CVE-2006-3630)
      * format string overflow in NTP dissector (CVE-2006-3628)
      * infinite loop in SSH dissector (CVE-2006-3631)
      * buffer overflow in NFS dissector (CVE-2006-3632)
  * debian/wireshark-dev.header-files: includes missing files
    (closes: #376522, #368860)
  * debian/copyright: list source files that are under a license different
    than Wireshark.

 -- Frederic Peters <fpeters@debian.org>  Mon, 24 Jul 2006 19:29:26 +0200

ethereal (0.99.0-1) unstable; urgency=high

  * New upstream release (urgency high since it fixes security issues;
    see http://www.ethereal.com/appnotes/enpa-sa-00023.html advisory)
    * crash in H.248 dissector (CVE-2006-1937)
    * infinite loop in UMA dissector (CVE-2006-1933)
    * crash in X.509if dissector (CVE-2006-1937)
    * crash in SRVLOC dissector (CVE-2006-1937)
    * crash in H.245 dissector (CVE-2006-1937)
    * off-by-one error in OID printing routine (CVE-2006-1932)
    * buffer overflow in COPS dissector (CVE-2006-1935)
    * buffer overflow in ALCAP dissector (CVE-2006-1934)
    * crash in statistics counter (CVE-2006-1937)
    * crash with malformed capture (CVE-2006-1938)
    * crash with invalid display filter (CVE-2006-1939)
    * crash in general packet dissector (CVE-2006-1937)
    * crash in AIM dissector (CVE-2006-1937)
    * crash in RPC dissector (CVE-2006-1939)
    * crash in DCERPC dissector (CVE-2006-1939)
    * crash in ASN.1 dissector (CVE-2006-1939)
    * crash in SMB PIPE dissector (CVE-2006-1938)
    * excessive loop in BER dissector (CVE-2006-1933)
    * abort in SNDCP dissector (CVE-2006-1940)
    * buffer overrun in Network Instruments file code (CVE-2006-1934)
    * buffer overrun in NetXray/Windows Sniffer file code (CVE-2006-1934)
    * crash in GSM SMS dissector (CVE-2006-1939)
    * buffer overrun in ALCAP dissector (CVE-2006-1934)
    * buffer overrun in telnet dissector (CVE-2006-1936)
    * crash in ASN.1 based dissectors (CVE-2006-1939)
    * crash in DCERPC NT dissector (CVE-2006-1939)
    * crash in PER dissector (CVE-2006-1939)
  * debian/patches/04_drop-capabilities.dpatch: updated.
  * debian/control: added build-depends on libgnutls-dev since libgnutls can
    now be used for SSL support.

 -- Frederic Peters <fpeters@debian.org>  Mon,  1 May 2006 14:50:42 +0200

ethereal (0.10.14-2) unstable; urgency=low

  * debian/watch: added watch file.

 -- Frederic Peters <fpeters@debian.org>  Mon,  6 Mar 2006 00:03:13 +0100

ethereal (0.10.14-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU, thanks for the support while I was away.
  * debian/patches/11-security-CVE-2005-3651.dpatch: removed since included
    upstream.
  * debian/patches/07_gcc4.dpatch: removed part about packet-cms since it now
    causes the build to fail.

 -- Frederic Peters <fpeters@debian.org>  Thu, 23 Feb 2006 11:04:11 +0100

ethereal (0.10.13-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-conflict with libsnmp-dev, not just libsnmp5-dev, to prevent
    accidental linkage with openssl.  Closes: #353613.

 -- Steve Langasek <vorlon@debian.org>  Sun, 19 Feb 2006 18:03:20 -0800

ethereal (0.10.13-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Add missing epan/gnuc_format_check.h, epan/ipv6-utils.h headers to
    ethereal-dev.  Closes: #344011.
  * Build-depend on automake1.9 instead of automake; the latter points to
    the ancient automake1.4 package, which was not what's used upstream.

 -- Steve Langasek <vorlon@debian.org>  Fri, 17 Feb 2006 17:47:37 -0800

ethereal (0.10.13-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix buffer overflow in OSPF dissector (CVE-2005-3651)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 25 Dec 2005 11:15:28 +0100

ethereal (0.10.13-1) unstable; urgency=high

  * New upstream release (urgency high since it fixes security issues;
    see http://www.ethereal.com/appnotes/enpa-sa-00021.html advisory)
    * memory exhaustion by ISAKMP, FC-FCS, RSVP, ISIS LSP dissectors
      (CAN-2005-3241)
    * crash in IrDA dissector and SMB transaction payload reassembly
      (CAN-2005-3242)
    * buffer overflow in AgentX and SLIMP3 dissectors (CAN-2005-3243)
    * infinite loop in BER dissector (CAN-2005-3244)
    * memory exhaustion by ONC RPC dissector with option "Dissect unknown RPC
      program numbers" (CAN-2005-3245)
    * NULL pointer in sFlow, RTnet, SCSI dissectors (CAN-2005-3246)
    * infinite loop and crash in SigComp UDVM (CAN-2005-3247)
    * division by zero in X11 dissector (CAN-2005-3248)
    * invalid pointer freed in WSP dissecto (CAN-2005-3249)
    * buffer overflow in SRVLOC dissector (CAN-2005-3184)
  * debian/patches/04_drop-capabilities.dpatch: updated
  * debian/patches/08_ethereal-desktop-menu.dpatch: updated
  * debian/patches/09_idl2eth.dpatch: updated

 -- Frederic Peters <fpeters@debian.org>  Thu,  8 Dec 2005 14:18:07 +0100

ethereal (0.10.12-6) unstable; urgency=low

  * Rebuilt with gtk/atk from unstable. (closes: #329889)

 -- Frederic Peters <fpeters@debian.org>  Sat, 24 Sep 2005 11:11:40 +0200

ethereal (0.10.12-5) unstable; urgency=low

  * debian/ethereal-dev.header-files: added missing epan/range.h
    (closes: #306426)

 -- Frederic Peters <fpeters@debian.org>  Fri, 23 Sep 2005 18:28:04 +0200

ethereal (0.10.12-4) unstable; urgency=low

  * debian/control: upgraded automake dependency of ethereal-dev to 1.8.
  * debian/patches/11_diameter_vendors.dpatch: removed, wrong.
  * debian/ethereal-common.files: add capinfos.
  * debian/ethereal-common.manpages: add capinfos man page.
  * debian/changelog: fixed 0.6.3-2 header line since lintian now complains
    about the old way of closing bugs from changelogs.

 -- Frederic Peters <fpeters@debian.org>  Fri, 12 Aug 2005 00:43:39 +0200

ethereal (0.10.12-3) unstable; urgency=low

  * debian/patches/04_drop-capabilities.dpatch: don't exit on failure, simply
    skip the capabilities part; use g_warning to output messages.
    (closes: #321204)

 -- Frederic Peters <fpeters@debian.org>  Thu,  4 Aug 2005 09:41:24 +0200

ethereal (0.10.12-2) unstable; urgency=low

  * debian/patches/04_drop-capabilities.dpatch: preserves CAP_DAC_READ_SEARCH
    which seems necessary for sudo usage (closes: #320453)

 -- Frederic Peters <fpeters@debian.org>  Sun, 31 Jul 2005 12:56:50 +0200

ethereal (0.10.12-1) unstable; urgency=high

  * New upstream release; urgency high since it fixes security issues in many
    dissectors; see http://www.ethereal.com/appnotes/enpa-sa-00020.html

 -- Frederic Peters <fpeters@debian.org>  Wed, 27 Jul 2005 09:57:17 +0200

ethereal (0.10.11-5) unstable; urgency=low

  * debian/patches/11_diameter_vendors.dpatch: correctly add diameter vendors
    (patch by Joost Yervante Damad) (closes: #316082)

 -- Frederic Peters <fpeters@debian.org>  Mon, 18 Jul 2005 20:18:43 +0200

ethereal (0.10.11-4) unstable; urgency=low

  * debian/: now using dpatch, started from Ubuntu patch, merged with current
    package patches.

 -- Frederic Peters <fpeters@debian.org>  Sun, 17 Jul 2005 18:58:05 +0200

ethereal (0.10.11-3) unstable; urgency=low

  * Modified capabilities patch so it doesn't try to keep CAP_NET_RAW if it
    doesn't have it. (closes: #318689)

 -- Frederic Peters <fpeters@debian.org>  Sun, 17 Jul 2005 10:29:31 +0200

ethereal (0.10.11-2) unstable; urgency=low

  * Use capabilities to mitigate security risk, patch from J.H.M. Dassen (Ray)
    (closes: #315670)
  * debian/control: build-depends on libcap-dev
  * epan/dissectors/packet-cmip.c: fixed dissect_cmip_InvokeIDType declaration
    mismatch.

 -- Frederic Peters <fpeters@debian.org>  Sat, 16 Jul 2005 10:58:03 +0200

ethereal (0.10.11-1) unstable; urgency=high

  * New upstream release; urgency high since it fixes security issues in the
    following dissectors:
    * format string vulnerabilities: ANSI A, DHCP
    * segmentation faults: GSM MAP, AIM, TZSP, Bittorrent, SMB, GSM, SMB
      NETLOGON
    * buffer overflows: DISTCC, FCELS, SIP, ISIS, CMIP, CMP, CMS, CRMF, ESS,
      OCSP, PKIX1Explitit, PKIX Qualified, X.509, NCP, ISUP, TCAP,
      Presentation
    * null pointer exception: KINK, WSP, SMB Mailslot, H.245, MGCP, RPC
    * infinite loops: LMP, EIGRP, MEGACO, L2TP
    * uncaught assertions: Telnet, 802.3, BER, IAX2, RADIUS, SMB PIPE, MRDISC
    * memory exhaustion: DICOM
    * unclassified: Fibre Channel, LDAP, NTLMSSP

 -- Frederic Peters <fpeters@debian.org>  Thu,  5 May 2005 08:43:00 +0200

ethereal (0.10.10-2) unstable; urgency=high

  * Several security fixes from upstream subversion tree for the following
    dissectors:
    * DLSw (infinite loop)
    * ICEP (double free)
    * NDPS (memory exhaustion)
    * Q931 (buffer overflow)
    * RSVP (infinite loop) (CAN-2005-1281)
    * SRVLOC (infinite loop)

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Apr 2005 15:30:55 +0200

ethereal (0.10.10-1) unstable; urgency=high

  * New upstream release; urgency high since it fixes security issues.
    * Fixes buffer overflow in Etheric dissector. (CAN-2005-0704)
    * Fixes crash in GPRS-LLC dissector. (CAN-2005-0705)
    * Fixes buffer overflow in 3G-A11 dissector. (CAN-2005-0699)
      (was already fixed in Debian package)
  * debian/ethereal-dev.header-files: some files moved to epan/

 -- Frederic Peters <fpeters@debian.org>  Mon, 14 Mar 2005 10:16:03 +0100

ethereal (0.10.9-2) unstable; urgency=high

  * Backported packet-3g-a11.c from upstream subversion trunk.
    (fixes buffer overflows in 3G-A11 dissector)
    (CAN-2005-0699 (under review)) (closes: #298771)

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Mar 2005 10:25:08 +0100

ethereal (0.10.9-1) unstable; urgency=high

  * New upstream release; urgency high since it fixes security issues.
    * Fixes infinite loop in COPS dissector. (CAN-2005-0006)
    * Fixes assertion in DLSw dissector. (CAN-2005-0007)
    * Fixes memory corruption in DNP dissector. (CAN-2005-0008)
    * Fixes assertion in Gnutella dissector. (CAN-2005-0009)
    * Fixes memory corruption in MMSE dissector. (CAN-2005-0010)
    * Fixes buffer overflow in X11 dissector. (CAN-2005-0084)
  * asn2deb and idl2deb manpages relicensed by W. Borgert from GFDL to GPL

 -- Frederic Peters <fpeters@debian.org>  Thu, 20 Jan 2005 23:03:19 +0100

ethereal (0.10.8-4) unstable; urgency=low

  * Updated libtool version in wiretap/ directory. (closes: #289962)

 -- Frederic Peters <fpeters@debian.org>  Wed, 12 Jan 2005 10:14:41 +0100

ethereal (0.10.8-3) unstable; urgency=low

  * Fixed dissect_cmip_InvokeIDType declaration (FTBFS with gcc-4.0)
    (closes: #288990)
  * epan/dissectors/packet-giop.c: fixed segfault with some GIOP packets
    (closes: #288746)

 -- Frederic Peters <fpeters@debian.org>  Fri,  7 Jan 2005 14:43:03 +0100

ethereal (0.10.8-2) unstable; urgency=low

  * Restored lost patch to idl2eth; sorry. (closes: #288740)
  * ethereal_gen.py: fixed some includes.
  * epan/prefs.c: Use sensible-brower as default browser.
  * debian/control: build-depends on libpcap0.8-dev.
  * debian/control: lower-case first letter of descriptions.

 -- Frederic Peters <fpeters@debian.org>  Wed,  5 Jan 2005 14:34:57 +0100

ethereal (0.10.8-1) unstable; urgency=high

  * New upstream release.
    * Now parses Auth option in DHCPv6 (closes: #283534)
    * Urgency high since it fixes security issues with DICOM, RTP, HTTP
      and SMB <http://www.ethereal.com/appnotes/enpa-sa-00016.html>
      (CAN-2004-1139, CAN-2004-1140, CAN-2004-1141 and CAN-2004-1142)

 -- Frederic Peters <fpeters@debian.org>  Wed, 15 Dec 2004 22:13:41 +0100

ethereal (0.10.7-3) unstable; urgency=low

  * epan/prefs.c: changed default font to "monospace 10" (closes: #232408)

 -- Frederic Peters <fpeters@debian.org>  Fri, 19 Nov 2004 18:31:22 +0100

ethereal (0.10.7-2) unstable; urgency=low

  * plugins/opsi/packet-opsi.c: backported resource exhaustion fix
    (closes: #280556)

 -- Frederic Peters <fpeters@debian.org>  Thu, 18 Nov 2004 21:50:28 +0100

ethereal (0.10.7-1) unstable; urgency=low

  * New upstream release. (closes: #277923)

 -- Frederic Peters <fpeters@debian.org>  Mon,  1 Nov 2004 14:11:35 +0100

ethereal (0.10.6-4) unstable; urgency=low

  * Build in clean chroot; stupid me.  (closes: #276560)
  * debian/rules: remove config.log on clean.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Oct 2004 00:12:58 +0200

ethereal (0.10.6-3) unstable; urgency=medium

  * Upgrades libtool (closes: #276515)

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Oct 2004 18:40:03 +0200

ethereal (0.10.6-2) unstable; urgency=medium

  * debian/ethereal-dev.header-files: added missing header files
    (closes: #270581)

 -- Frederic Peters <fpeters@debian.org>  Wed,  8 Sep 2004 10:34:12 +0200

ethereal (0.10.6-1) unstable; urgency=high

  * New upstream realease.
    * Gtk-Critical messages are fixed (closes: #260341, #263118)
  * debian/rules: run libtoolize to fix sonames; fix a FTBFS bug
    (closes: #265379)

 -- Frederic Peters <fpeters@debian.org>  Sun, 15 Aug 2004 11:58:03 +0200

ethereal (0.10.5-4) unstable; urgency=low

  * link libethereal.so to libadns and libm (closes: #262015)
    (since this is a private shared library I don't think it was required)

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Jul 2004 15:41:02 +0200

ethereal (0.10.5-3) unstable; urgency=low

  * debian/ethereal-dev.header-files: install packet-rpc.h, crc16.h and crc32.h
    (closes: #259375)

 -- Frederic Peters <fpeters@debian.org>  Wed, 14 Jul 2004 12:50:34 +0200

ethereal (0.10.5-2) unstable; urgency=low

  * Compile and install plugins (closes: #259199)

 -- Frederic Peters <fpeters@debian.org>  Tue, 13 Jul 2004 13:40:41 +0000

ethereal (0.10.5-1) unstable; urgency=low

  * New upstream release with security fixes.
    + <http://www.ethereal.com/appnotes/enpa-sa-00015.html>
    + Fixed the crash in protocol hierarchy (closes: #244743)
    + Ethereal can be configured not to bug you about unsaved captures
      (closes: #235721)
  * Updated omniorb URL (closes: #257512)

 -- Frederic Peters <fpeters@debian.org>  Tue, 13 Jul 2004 10:16:55 +0200

ethereal (0.10.4-3) unstable; urgency=low

  * debian/rules: install libethereal in /usr/lib/ethereal, not /usr/lib/
  * debian/ethereal-dev.header-files: added packet-ber.h
  * idl2deb: ETH_VER_IMPORT and non-versioned autotools (closes: #255570)
  * debian/control: updated depends to libpcap0.7-dev, no more libpcap-dev

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Jun 2004 09:02:39 +0200

ethereal (0.10.4-2) unstable; urgency=low

  * Rebuilt against GTK+ 2.4; now in unstable.

 -- Frederic Peters <fpeters@debian.org>  Tue, 25 May 2004 22:28:37 +0200

ethereal (0.10.4-1) unstable; urgency=high

  * New upstream release with security fixes.
    <http://www.ethereal.com/appnotes/enpa-sa-00014.html>
  * (sorry about the delay; I was away and forgot about this release)

 -- Frederic Peters <fpeters@debian.org>  Sun, 16 May 2004 00:02:53 +0200

ethereal (0.10.3-3) unstable; urgency=low

  * debian/control: removed dependency on gksu; moved to recommends
  * debian/EtherealAsRoot.desktop: added TryExec=gksu so that the menu is
    only shown when gksu is installed
  * debian/ethereal.menu: removed entry for "ethereal as root" since
    """running ethereal itself requires some wits, and user possesing
    such skills would be able to launch it from xterm."""
  * "Our Priorities are Our Users (...)", but ignore them if they ask
    about gksu support; it's against the holy Debian Policy Manual and
    a """300kB dependency *is* a big dependency""".
  * This closes the bug and everybody is happy (closes: #240682)

 -- Frederic Peters <fpeters@debian.org>  Sat, 10 Apr 2004 21:16:30 +0200

ethereal (0.10.3-2) unstable; urgency=high

  * Acknowledge NMU. (sorry)  (urgency high, security fixes)
  * debian/control: added Build-Conflicts on libsnmp-dev

 -- Frederic Peters <fpeters@debian.org>  Sun, 28 Mar 2004 23:14:51 +0200

ethereal (0.10.3-1.0.1) unstable; urgency=low

  * Recompile-only NMU.
  * i386 package was uploaded with dependencies on GNOME libs from
    experimental; rebuild using only dependencies from unstable.

 -- Steve Langasek <vorlon@debian.org>  Sat, 27 Mar 2004 21:27:01 -0600

ethereal (0.10.3-1) unstable; urgency=high

  * New upstream release with security fixes. (hence urgency high)
    http://www.ethereal.com/appnotes/enpa-sa-00013.html
  * debian/rules: remove upstream debian/menu on build
  * debian/control: added dependency on gksu
  * debian/menu: added an entry to start ethereal with gksu
    (closes: #71994)
  * added another .desktop entry to start ethereal with gksu from Gnome menu
  * Upstream changes; libethereal and libwiretap handled differently; they may
    end up in new packages (but go in ethereal-common for now)

 -- Frederic Peters <fpeters@debian.org>  Sat, 27 Mar 2004 14:09:49 +0100

ethereal (0.10.2-2) unstable; urgency=low

  * New files in ethereal-dev (closes: #236702)

 -- Frederic Peters <fpeters@debian.org>  Sun,  7 Mar 2004 21:43:17 +0100

ethereal (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added libpcre3-dev to Build-Depends

 -- Frederic Peters <fpeters@debian.org>  Fri,  5 Mar 2004 15:56:50 +0100

ethereal (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Include W. Bogert asn2deb (closes: #233603)

 -- Frederic Peters <fpeters@debian.org>  Thu, 19 Feb 2004 18:02:08 +0100

ethereal (0.10.0-6) unstable; urgency=low

  * debian/ethereal-common.manpages: added ethereal-filter.4
    (closes: #230256)
  * debian/control: updated build-depends on docbook-xsl since docbook.xsl
    moved.

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Jan 2004 18:11:43 +0100

ethereal (0.10.0-5) unstable; urgency=low

  * debian/rules: quotes around CFLAGS. (closes: #228492)

 -- Frederic Peters <fpeters@debian.org>  Mon, 19 Jan 2004 12:14:02 +0100

ethereal (0.10.0-4) unstable; urgency=low

  * Backported hexdump summary fix from CVS (closes: #226248)
    http://www.ethereal.com/lists/ethereal-cvs/200312/msg00257.html

 -- Frederic Peters <fpeters@debian.org>  Mon,  5 Jan 2004 15:27:06 +0100

ethereal (0.10.0-3) unstable; urgency=low

  * ethereal_gen.py: patched to handle ushort/ulong union discriminators.

 -- Frederic Peters <fpeters@debian.org>  Thu, 18 Dec 2003 23:27:51 +0100

ethereal (0.10.0-2) unstable; urgency=low

  * debian/ethereal-dev.header-files: added missing header files.
    (closes: #224246)

 -- Frederic Peters <fpeters@debian.org>  Wed, 17 Dec 2003 13:24:21 +0100

ethereal (0.10.0-1) unstable; urgency=low

  * New upstream release. (closes: #223857)
    * correct fonts with GTK2. (closes: #197571)
    * Includes missing help/ directory from CVS.
  * Acknowledge NMU, thanks Ray.
    * Security issues. (closes: #219590)
    * idl2deb permissions. (closes: #211506)
  * New idl2deb version, thanks. (closes: #213962)
  * debian/ethereal-dev.header-files: include some missing header files
    (closes the remaining of #211506)
  * debian/control: versioned build-depends on debhelper.

 -- Frederic Peters <fpeters@debian.org>  Sat, 13 Dec 2003 17:11:09 +0100

ethereal (0.9.16-0.1) unstable; urgency=high

  * NMU.
  * New upstream release (addresses #219590 for sid).
    Fixes potential security issues with several dissectors:
    * GTP (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0925)
    * ISAKMP and MEGACO
      (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0926)
    * SOCKS (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0927)
    The upstream security advisory is enpa-sa-00011, available at
    http://www.ethereal.com/appnotes/enpa-sa-00011.html
  * [debian/rules]
    * Don't remove doc/ethereal.pod and doc/tethereal.pod so the package
      builds with pbuilder.
    * Install idl2deb with execute permissions.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 10 Nov 2003 12:11:55 +0100

ethereal (0.9.15-1) unstable; urgency=low

  * New upstream release. (closes: #210272)

 -- Frederic Peters <fpeters@debian.org>  Wed, 10 Sep 2003 16:13:17 +0200

ethereal (0.9.14-5) unstable; urgency=low

  * debian/control: versioned build-depends on docbook-xsl (closes: #208734)
  * debian/rules: compiles with -mieee on alpha

 -- Frederic Peters <fpeters@debian.org>  Sun,  7 Sep 2003 09:57:25 +0200

ethereal (0.9.14-4) unstable; urgency=low

  * debian/rules: install .desktop and images for menu.
    (closes: #207271)
  * debian/control: updated policy to 3.6.1.0 (no changes needed)

 -- Frederic Peters <fpeters@debian.org>  Sat, 30 Aug 2003 23:27:00 +0200

ethereal (0.9.14-3) unstable; urgency=low

  * Add manpage for idl2deb
  * Include missing header files. (closes: #197181)
    - from same bug: remove dependency of ethereal-dev against ethereal-common
    - from same bug: added dependency to libglib2.0-dev

 -- Frederic Peters <fpeters@debian.org>  Tue, 19 Aug 2003 11:55:27 +0200

ethereal (0.9.14-2) unstable; urgency=low

  * Built for Python 2.3 since omniidl4 has been updated quickly.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Aug 2003 10:19:18 +0200

ethereal (0.9.14-1) unstable; urgency=low

  * The "I'm so happy to be alive I'll fix plenty of bugs" release
  * New upstream release. (closes: #204345)
  * Include W. Bogert idl2deb script
  * debian/control: depends on current versions of omniidl or omniidl4 since
    they only exist for Python 2.2 and I don't want ethereal-dev to break when
    they will switch to Python 2.3.  I'll then release a new version.
  * Several UI issues resolved upstream (closes: #199763)
  * ethereal can now decode Jabber protocol (closes: #133099)
  * debian/control: build-depends on libadns1-dev so that it now use the GNU
    ADNS library for name resolution (closes: #197505)

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Aug 2003 00:06:27 +0200

ethereal (0.9.13-1) unstable; urgency=low

  * New upstream release.  Fixing several security issues.
    (closes: #197107)

 -- Frederic Peters <fpeters@debian.org>  Thu, 12 Jun 2003 10:00:57 +0200

ethereal (0.9.12-3) unstable; urgency=low

  * Rebuilt with new libpcap. (closes: #196831)
  * Built with GTK+ 2.2 (instead of GTK+ 1.2). (closes: #193450)

 -- Frederic Peters <fpeters@debian.org>  Wed, 11 Jun 2003 17:45:07 +0200

ethereal (0.9.12-2) unstable; urgency=low

  * Forgot to update version-depends and it didn't use ${source-version}.
    Fixed. (closes: #192213)

 -- Frederic Peters <fpeters@debian.org>  Wed,  7 May 2003 01:16:45 +0200

ethereal (0.9.12-1) unstable; urgency=high

  * New upstream release.  Fixing several security issues.
    (closes: #192107)

 -- Frederic Peters <fpeters@debian.org>  Tue,  6 May 2003 22:03:10 +0200

ethereal (0.9.9-2) unstable; urgency=low

  * Updated config.guess and config.sub to work on mips and mipsel
    architectures (manually then through the patch provided by
    Martin Godisch). (closes: #178701)
  * Update to packet-socks.c
  * debian/control: ethereal-dev now depends upon omniidl | omniidl4
    (closes: #182620)
  * idl2eth no longer needs PYTHONPATH to be set explicitely.
    (closes: #182621)
  * debian/ethereal-dev.header-files: included config.h and reassemble.h since
    they seem necessary. (closes: #183625)
  * Thanks to W. Borgert for bug reporting.

 -- Frederic Peters <fpeters@debian.org>  Fri,  7 Mar 2003 22:52:27 +0000

ethereal (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Tightened ethereal-common dependencies.
    (closes: #172861, #176236, #178027)

 -- Frederic Peters <fpeters@debian.org>  Fri, 24 Jan 2003 14:38:53 +0100

ethereal (0.9.8-3) unstable; urgency=low

  * debian/control: added versioned dependency between (t)ethereal and
    ethereal-common to get the plug-ins. (closes: #172861)

 -- Frederic Peters <fpeters@debian.org>  Fri, 13 Dec 2002 10:39:27 +0100

ethereal (0.9.8-2) unstable; urgency=low

  * Updated config.sub and config.guess with the ones from autotools-dev
    (closes: #172407)

 -- Frederic Peters <fpeters@debian.org>  Tue, 10 Dec 2002 09:52:45 +0100

ethereal (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * This added (some) support for counting IPv6 packets during capture.
    (closes: #164472)
  * 0.9.7 fixed the LMP dissector. (closes: #163513)

 -- Frederic Peters <fpeters@debian.org>  Mon,  9 Dec 2002 10:00:51 +0100

ethereal (0.9.7-2) unstable; urgency=low

  * debian/control: added libgtk2.0-dev to build depends.
  * debian/control: removed libsnmp-dev from build depends (ethereal is
    compiled without SNMP support since it would link against libssl)
    (the build-dep caused failure to build on architectures where perl 5.8
    wasn't ready (dependency on libsnmp-perl))
  * debian/control: added python, automake and autoconf to build depends.
  * debian/rules: creating aclocal-missing directory on build.
      (those bugs closes: #163443) (patch by LaMont Jones)
  * debian/rules: install Python files to 2.2 directory, not 2.1
  * debian/ethereal-dev.postinst: fixed Python version (closes: #163153)

 -- Frederic Peters <fpeters@debian.org>  Mon,  7 Oct 2002 15:06:06 +0200

ethereal (0.9.7-1) unstable; urgency=low

  * New upstream release. (closes: #162972)
  * debian/copyright: include upstream author name. (closes: #151015)

 -- Frederic Peters <fpeters@debian.org>  Tue,  1 Oct 2002 16:20:45 +0200

ethereal (0.9.6-2) unstable; urgency=low

  * debian/control: changed Python dep to >= 2.2 and << 2.3 since 2.2 is now
    the default version in sid.

 -- Frederic Peters <fpeters@debian.org>  Sat, 14 Sep 2002 23:29:23 +0200

ethereal (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * Fixes security issue in the ISIS protocol dissector (susceptible to
    buffer overflow).
     (see http://www.ethereal.com/appnotes/enpa-sa-00006.html)
  * Add missing header files (packet-tcp.h and packet-tpkt.h) to ethereal-dev
    (closes: #158808)
  * Add default PYTHONPATH to idl2eth (closes: #158909)

 -- Frederic Peters <fpeters@debian.org>  Mon,  2 Sep 2002 10:13:06 +0200

ethereal (0.9.5-3) unstable; urgency=low

  * Rebuilt with new libpcap0.7. (closes: #156206)

 -- Frederic Peters <fpeters@debian.org>  Sat, 10 Aug 2002 19:25:29 +0200

ethereal (0.9.5-2) unstable; urgency=low

  * Do not run libtoolize since it creates a bogus libtool file.

 -- Frederic Peters <fpeters@debian.org>  Mon,  8 Jul 2002 16:07:00 +0200

ethereal (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Fixes several security issues.
    (http://www.ethereal.com/appnotes/enpa-sa-00005.html)

 -- Frederic Peters <fpeters@debian.org>  Sat, 29 Jun 2002 19:13:30 +0200

ethereal (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixes four security issues. (closes: #147595)
    (http://www.ethereal.com/appnotes/enpa-sa-00004.html)

 -- Frederic Peters <fpeters@debian.org>  Mon, 20 May 2002 01:10:21 +0200

ethereal (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Fixes ASN.1 zero-length g_malloc that could lead to security problems.
    (see http://www.ethereal.com/appnotes/enpa-sa-00003.html)

 -- Frederic Peters <fpeters@debian.org>  Sun, 31 Mar 2002 21:45:11 +0200

ethereal (0.9.2-3) unstable; urgency=low

  * debian/rules: fixed typo that could have caused snmp not to be built.
    (closes: #140147) This would happen if 1) built from the CVS tree and 2)
    built on a system without libsnmp-dev ("impossible" since we build-depend
    on it). Anyway it is fixed for correctness.

 -- Frederic Peters <fpeters@debian.org>  Wed, 27 Mar 2002 14:00:31 +0100

ethereal (0.9.2-2) unstable; urgency=low

  * Added libwiretap.a to ethereal-dev (closes: #137971)

 -- Frederic Peters <fpeters@debian.org>  Tue, 12 Mar 2002 11:59:04 +0100

ethereal (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue,  5 Mar 2002 10:30:24 +0100

ethereal (0.9.1-8) unstable; urgency=low

  * debian/control: changed ethereal-dev section to devel.

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Feb 2002 14:50:49 +0100

ethereal (0.9.1-7) unstable; urgency=low

  * debian/control: changed ethereal-dev Depends line to use omniidl-python
    and no omniorb.

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Feb 2002 13:47:42 +0100

ethereal (0.9.1-6) unstable; urgency=low

  * debian/control: fix Depends line for ethereal-dev (added libpcap-dev)
  * idl2eth: added PYTHONPATH so that it runs.

 -- Frederic Peters <fpeters@debian.org>  Mon, 18 Feb 2002 11:48:01 +0100

ethereal (0.9.1-5) unstable; urgency=low

  * debian/rules: added --disable-ssl so that ethereal is not built with
    ssl support and may be uploaded to main. (closes: #134273)

 -- Frederic Peters <fpeters@debian.org>  Mon, 18 Feb 2002 09:33:30 +0100

ethereal (0.9.1-4) unstable; urgency=low

  * debian/rules: added forgotten header files to ethereal-dev.
    (really closes: #105916)

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Feb 2002 10:12:15 +0100

ethereal (0.9.1-3) unstable; urgency=low

  * debian/rules: after the quick and dirty repackaging of 0.9.1-1 this one
    should be much better: 4 packages: ethereal-common, ethereal, tethereal
    and etherel-dev (last three depending on ethereal-common).
    This should address Christian Kurz remarks.
    	(closes: #133798, #133796, #133806)
    This should also please W. Borgert. (closes: #105916)

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Feb 2002 20:36:12 +0100

ethereal (0.9.1-2) unstable; urgency=low

  * debian/control: fixed typo in tethereal description (closes: #133019)

 -- Frederic Peters <fpeters@debian.org>  Fri,  8 Feb 2002 23:55:49 +0100

ethereal (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed protocol hierarchy display (closes: #131676)
  * It is possible to see TOS fields instead of DS fields in IP header.
    (option in preferences dialog) (closes: #121046)
  * debian/rules: totally revamped build process: create an additional
    tethereal package that doesn't depend on GTK+ (closes: #103488)
    It is not yet perfect but I'm working on it...

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Jan 2002 18:25:25 +0100

ethereal (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Upstream fixed SNMP bugs (closes: #114361, #119580)
  * Upstream fixed Sender->Receiver bug (closes: #112327)
  * debian/copyright: fixed 'license' spelling.
  * debian/rules: fixed 'clean' target to remove temporary files.
  * debian/rules: moved $sysconfdir to /usr/share/ethereal since $sysconfdir
    is not used here to store config files. (closes: #127638)

 -- Frederic Peters <fpeters@debian.org>  Thu,  3 Jan 2002 19:43:18 +0100

ethereal (0.8.20-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 19 Oct 2001 10:49:35 +0200

ethereal (0.8.19-2) unstable; urgency=low

  * debian/rules: added call to libtoolize so that it compiles on hppa.
    (closes: #108662)

 -- Frederic Peters <fpeters@debian.org>  Mon, 17 Sep 2001 14:23:34 +0200

ethereal (0.8.19-1) unstable; urgency=low

  * New upstream release.
  * debian/control: improved description of package. (closes: #104744)

 -- Frederic Peters <fpeters@debian.org>  Sat, 14 Jul 2001 11:57:12 +0200

ethereal (0.8.17-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 13 Apr 2001 13:33:35 +0200

ethereal (0.8.16-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu,  8 Mar 2001 09:07:34 +0100

ethereal (0.8.15-2) unstable; urgency=low

  * Rebuilt against libsnmp4.2 (closes: #83720)
  * It is possible to not go in promiscuous mode (-p) (actually it was for
    some time...) (closes: #34376)

 -- Frederic Peters <fpeters@debian.org>  Sat, 27 Jan 2001 13:39:05 +0100

ethereal (0.8.15-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sat, 13 Jan 2001 19:36:26 +0100

ethereal (0.8.14-2) unstable; urgency=low

  * Fix for the socks dissector. (closes: #81164)
    (patch by Jeff Foster <jfoste@woodward.com>)

 -- Frederic Peters <fpeters@debian.org>  Thu, 11 Jan 2001 00:27:02 +0100

ethereal (0.8.14-1) unstable; urgency=low

  * New upstream release.
  * Officially fixes the buffer overflow exploit mentioned below (as well
    as other possible ones)

 -- Frederic Peters <fpeters@debian.org>  Tue, 21 Nov 2000 22:48:16 +0100

ethereal (0.8.13-3) unstable; urgency=low

  * Fixed possible buffer overflow exploit in packet-afs.c (I could not
    reproduce it so I don't know if my fix really works, please test it)
    (exploit is on http://www.hacksware.com)

 -- Frederic Peters <fpeters@debian.org>  Tue, 21 Nov 2000 22:47:59 +0100

ethereal (0.8.13-2) unstable; urgency=low

  * Rebuilt against XFree86 4.0 libs (now that I'm allowed to...)
  * Rebuilt against zlibg1 1.1.13-1 that has a correct shlibs file
    (closes: #76533, #76552)
  
 -- Frederic Peters <fpeters@debian.org>  Fri, 10 Nov 2000 17:39:40 +0100

ethereal (0.8.13-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sun, 29 Oct 2000 23:58:38 +0100

ethereal (0.8.12-1) unstable; urgency=low

  * New upstream release.
  * Patch for SRVLOC frames has been applied upstrem.
  
 -- Frederic Peters <fpeters@debian.org>  Mon, 18 Sep 2000 10:22:27 +0200

ethereal (0.8.11-1) unstable; urgency=low

  * New upstream release.
  * Applied patch to fix hang on some SRVLOC frames (closes: #68024)
  
 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Aug 2000 21:06:52 +0200

ethereal (0.8.10-1) unstable; urgency=low

  * New upstream release.
  * Added debhelper to Build-depends (closes: #66391)
  
 -- Frederic Peters <fpeters@debian.org>  Tue, 11 Jul 2000 22:36:45 +0200

ethereal (0.8.9-2) unstable; urgency=low

  * Updated Build-depends to match libsnmp (closes: #66018) (it's the same
    entry as for 0.8.7-2; I need some sleep)
  
 -- Frederic Peters <fpeters@debian.org>  Thu, 22 Jun 2000 23:59:29 +0200

ethereal (0.8.9-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Tue, 20 Jun 2000 14:17:00 +0200

ethereal (0.8.8-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Wed, 10 May 2000 17:20:36 +0200

ethereal (0.8.7-2) unstable; urgency=low

  * Updated Build-depends to match libsnmp (closes: #63753)
  
 -- Frederic Peters <fpeters@debian.org>  Mon,  8 May 2000 19:02:29 +0200

ethereal (0.8.7-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Mon, 17 Apr 2000 18:41:21 +0200

ethereal (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * Linked against libsnmp4.1 (closes: #62324)
  
 -- Frederic Peters <fpeters@debian.org>  Fri, 14 Apr 2000 19:45:53 +0200

ethereal (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Applied fix for correct decapsulation of PPP frames (closes: #59663)
    (patch provided by Thomas Quinot <thomas@cuivre.fr.eu.org>)
  
 -- Frederic Peters <fpeters@debian.org>  Sun,  5 Mar 2000 20:04:11 +0100

ethereal (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Checked PPTP problems (fix was introduced in 0.8.2) (closes: #55347)
  
 -- Frederic Peters <fpeters@debian.org>  Sat,  5 Feb 2000 23:51:26 +0100

ethereal (0.8.2-2) unstable; urgency=low

  * debian/control: fixed Build-Depends line (closes: #56707)
  
 -- Frederic Peters <fpeters@debian.org>  Mon, 31 Jan 2000 19:29:21 +0100

ethereal (0.8.2-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sat, 29 Jan 2000 01:53:50 +0100

ethereal (0.8.1-2) unstable; urgency=low

  * debian/control: added Build-Depends
  * debian/control: modified description to match the README file
  * debian/rules: added --disable-static to ./configure
  * compiled with SNMP support (through libsnmp)
  
 -- Frederic Peters <fpeters@debian.org>  Thu, 20 Jan 2000 18:30:40 +0100
 
ethereal (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed duplicate manpage installation. (closes: #55438)
  
 -- Frederic Peters <fpeters@debian.org>  Wed, 19 Jan 2000 09:29:56 +0100

ethereal (0.8.0-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sat,  1 Jan 2000 23:50:44 +0100

ethereal (0.7.9-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sat, 25 Dec 1999 00:55:00 +0100

ethereal (0.7.7-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Fri, 29 Oct 1999 14:09:01 +0200

ethereal (0.7.3-2) unstable; urgency=low

  * Fixed debian/rules to work with the new debhelper that create FHS compliant
    packages. (Fixes: #44613)
  
 -- Frederic Peters <fpeters@debian.org>  Thu,  9 Sep 1999 18:29:12 +0200

ethereal (0.7.3-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sun,  5 Sep 1999 20:06:10 +0200

ethereal (0.7.2-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sat, 14 Aug 1999 18:32:28 +0200
 
ethereal (0.7.1-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sat,  7 Aug 1999 16:29:03 +0200
 
ethereal (0.6.3-2) unstable; urgency=low

  * Renamed NEWS to changelog since this is the upstream ChangeLog
    (fixes bug #41908)
  
 -- Frederic Peters <fpeters@debian.org>  Tue, 27 Jul 1999 20:19:28 +0200

ethereal (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * Moved directories to comply with FHS (and Standards 3.0.0)
  
 -- Frederic Peters <fpeters@debian.org>  Sat, 24 Jul 1999 00:36:46 +0200

ethereal (0.6.2-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Tue, 25 May 1999 16:47:08 +0200

ethereal (0.6.1-1) unstable; urgency=low

  * New upstream release.
  
 -- Frederic Peters <fpeters@debian.org>  Sun,  2 May 1999 23:30:38 +0200

ethereal (0.5.1-3) unstable; urgency=low

  * Fixed package building (Bug#35657 (report and patch from bartw@xs4all.nl)
  
 -- Frederic Peters <fpeters@debian.org>  Sat, 10 Apr 1999 19:20:29 +0200

ethereal (0.5.1-2) unstable; urgency=low

  * Compiled against libgtk1.2
  * Moved /usr/etc/manuf to /etc/manuf (it's now lintian clean)

 -- Frederic Peters <fpeters@debian.org>  Mon,  8 Mar 1999 22:33:04 +0100

ethereal (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sat,  9 Jan 1999 16:51:28 +0100

ethereal (0.5.0-2) unstable; urgency=low

  * Fixed package building (Bug#30110)

 -- Frederic Peters <fpeters@debian.org>  Thu,  3 Dec 1998 13:15:53 +0100

ethereal (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 24 Nov 1998 16:04:15 +0100

ethereal (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sat, 17 Oct 1998 17:20:01 +0200

ethereal (0.3.17-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 29 Sep 1998 20:01:11 +0200

ethereal (0.3.16-2) unstable; urgency=low

  * New versions aren't just for Alpha people :) (fixes #26914)

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Sep 1998 17:03:39 +0200

ethereal (0.3.16-1) unstable; urgency=low

  * New upstream version

 -- Frederic Peters <fpeters@debian.org>  Sat, 19 Sep 1998 10:55:48 +0200

ethereal (0.3.15-1.1) unstable; urgency=low

  * non-maintainer upload for Alpha
  * GTK cflags ans library flags were not passed to the compiler.

 -- Paul Slootman <paul@debian.org>  Mon, 21 Sep 1998 22:49:32 +0200

ethereal (0.3.15-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Sep 1998 23:05:47 +0200

